package com.lnb.multidatasourcedemo.holder;


import lombok.extern.slf4j.Slf4j;

/**
 * 数据源线程上下文对象.
 * Created by liaoningbo on 2021/11/24
 */
@Slf4j
public class DataSourceContextHolder {

    private static final ThreadLocal<String> contextHolder = new ThreadLocal<String>();

    public static String getDataSourceType() {
        log.info("Service get datasource currently is : [" + contextHolder.get() + "]");
        return contextHolder.get();
    }

    public static void setDataSourceType(String groupId) {
        contextHolder.set(groupId);
    }

    public static void clearDataSourceType() {
        contextHolder.remove();
    }

}
